chat/sirc - The NetBSD Packages Collection

IRC client written and programmable in perl

This is a simple (well, not so simple anymore *grin*) irc client,
written in perl and C.

It's divided in two parts, a dumb-mode (meaning, no full screen
interface) client, dsirc, that can be used stand-alone, programmed in
perl, and a separate split-screen front end in C, called ssfe.

The main point of running this client is that you can get a reasonable
ircII-like interface on an account with a properly installed perl
interpreter, with the perl client taking about 55k (and it's usable on
its own if you don't have access to a C compiler) and with the
interface, once compiled, taking just another 30 or 40k. The two
together, while lacking the huge complexity of ircII, make a very usable
client. And if you know perl, you'll find you can do quite complicated
and interesting things with sirc too :)

See /usr/pkg/lib/sirc/README for more usage instructions, and see
/usr/pkg/lib/sirc/PROGRAMMING for information on how to extend sirc.
Some example scripts can be found in /usr/pkg/lib/sirc/scripts.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

net/p5-Socket6 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfsirc-2.211nb12.tgz
NetBSD 8.0earmv7hfsirc-2.211nb12.tgz
NetBSD 8.0earmv7hfsirc-2.211nb12.tgz
NetBSD 8.0i386sirc-2.211nb12.tgz
NetBSD 8.0i386sirc-2.211nb12.tgz
NetBSD 8.0i386sirc-2.211nb12.tgz
NetBSD 8.0powerpcsirc-2.211nb12.tgz
NetBSD 8.0powerpcsirc-2.211nb12.tgz
NetBSD 8.0powerpcsirc-2.211nb12.tgz
NetBSD 8.0x86_64sirc-2.211nb12.tgz
NetBSD 8.0x86_64sirc-2.211nb12.tgz
NetBSD 8.0x86_64sirc-2.211nb12.tgz
NetBSD 9.0aarch64sirc-2.211nb12.tgz
NetBSD 9.0aarch64sirc-2.211nb12.tgz
NetBSD 9.0aarch64sirc-2.211nb12.tgz
NetBSD 9.0alphasirc-2.211nb12.tgz
NetBSD 9.0alphasirc-2.211nb12.tgz
NetBSD 9.0alphasirc-2.211nb12.tgz
NetBSD 9.0earmsirc-2.211nb12.tgz
NetBSD 9.0earmsirc-2.211nb12.tgz
NetBSD 9.0earmsirc-2.211nb12.tgz
NetBSD 9.0earmv6hfsirc-2.211nb12.tgz
NetBSD 9.0earmv6hfsirc-2.211nb12.tgz
NetBSD 9.0earmv6hfsirc-2.211nb12.tgz
NetBSD 9.0earmv6hfsirc-2.211nb12.tgz
NetBSD 9.0earmv7hfsirc-2.211nb12.tgz
NetBSD 9.0earmv7hfsirc-2.211nb12.tgz
NetBSD 9.0earmv7hfsirc-2.211nb12.tgz
NetBSD 9.0earmv7hfsirc-2.211nb12.tgz
NetBSD 9.0i386sirc-2.211nb12.tgz
NetBSD 9.0i386sirc-2.211nb12.tgz
NetBSD 9.0i386sirc-2.211nb12.tgz
NetBSD 9.0mips64ebsirc-2.211nb12.tgz
NetBSD 9.0mips64ebsirc-2.211nb12.tgz
NetBSD 9.0mips64ebsirc-2.211nb12.tgz
NetBSD 9.0mipselsirc-2.211nb12.tgz
NetBSD 9.0mipselsirc-2.211nb12.tgz
NetBSD 9.0powerpcsirc-2.211nb12.tgz
NetBSD 9.0powerpcsirc-2.211nb12.tgz
NetBSD 9.0sh3elsirc-2.211nb12.tgz
NetBSD 9.0sh3elsirc-2.211nb12.tgz
NetBSD 9.0sparc64sirc-2.211nb12.tgz
NetBSD 9.0sparc64sirc-2.211nb11.tgz
NetBSD 9.0sparc64sirc-2.211nb12.tgz
NetBSD 9.0sparc64sirc-2.211nb12.tgz
NetBSD 9.0sparcsirc-2.211nb12.tgz
NetBSD 9.0sparcsirc-2.211nb12.tgz
NetBSD 9.0sparcsirc-2.211nb12.tgz
NetBSD 9.0vaxsirc-2.211nb12.tgz
NetBSD 9.0vaxsirc-2.211nb12.tgz
NetBSD 9.0x86_64sirc-2.211nb12.tgz
NetBSD 9.0x86_64sirc-2.211nb12.tgz
NetBSD 9.0x86_64sirc-2.211nb12.tgz
NetBSD 9.0x86_64sirc-2.211nb12.tgz
NetBSD 9.0x86_64sirc-2.211nb12.tgz
NetBSD 9.0x86_64sirc-2.211nb12.tgz
NetBSD 9.0x86_64sirc-2.211nb12.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.